## org.apache.commons.math3.analysis.function
Class HarmonicOscillator

    java.lang.Object
      org.apache.commons.math3.analysis.function.HarmonicOscillator

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateDifferentiableFunction, UnivariateFunction

    public class HarmonicOscillator

extends java.lang.Object
implements UnivariateDifferentiableFunction, DifferentiableUnivariateFunction

simple harmonic oscillator function.

Since:
  3.0
Version:
  $Id: HarmonicOscillator.java 1383441 2012-09-11 14:56:39Z luc $

Nested Class Summary
`static class` `HarmonicOscillator.Parametric` Parametric function where the input array contains the parameters of the harmonic oscillator function, ordered as follows: Amplitude Angular frequency Phase

Field Summary
`private double` `amplitude` Amplitude.
`private double` `omega` Angular frequency.
`private double` `phase` Phase.

Constructor Summary
`HarmonicOscillator(double amplitude, double omega, double phase)` Harmonic oscillator function.

Method Summary
`UnivariateFunction` `derivative()` Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`
`DerivativeStructure` `value(DerivativeStructure t)` Simple mathematical function.
`double` `value(double x)` Compute the value of the function.
`private static double` `value(double xTimesOmegaPlusPhase, double amplitude)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### amplitude

    private final double amplitude

  Amplitude.

### omega

    private final double omega

  Angular frequency.

### phase

    private final double phase

  Phase.

Constructor Detail

### HarmonicOscillator

    public HarmonicOscillator(double amplitude,
                              double omega,
                              double phase)

  Harmonic oscillator function.

  Parameters:
    `amplitude` - Amplitude.
    `omega` - Angular frequency.
    `phase` - Phase.

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

### derivative

    @Deprecated
    public UnivariateFunction derivative()

  Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

### value

    private static double value(double xTimesOmegaPlusPhase,
                                double amplitude)

  Parameters:
    `xTimesOmegaPlusPhase` - `omega * x + phase`.
    `amplitude` - Amplitude.
  Returns:
    the value of the harmonic oscillator function at `x`.

### value

    public DerivativeStructure value(DerivativeStructure t)

  Simple mathematical function.

  `UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

  Specified by:
    `value` in interface `UnivariateDifferentiableFunction`
  Parameters:
    `t` - function input value
  Returns:
    function result
  Since:
    3.1

Copyright (c) 2003-2013 Apache Software Foundation